For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETGet Statements
      • GETGet Account Monthly Statement Config
      • POSTPost Account Monthly Statement Config
      • GETGet Preview Account Monthly Statement
      • GETGet File
LogoLogo
Contact SupportGet Started
API ReferenceFiles

Get File

GET
/digital-banking/v1/files/:file_id
GET
/digital-banking/v1/files/:file_id
$curl -G https://api.modernfi.com/digital-banking/v1/files/file_id \
> -H "Authorization: Bearer <token>" \
> -d account_id=string
1{
2 "presigned_url": "string"
3}
Was this page helpful?
Previous

List Transactions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequiredformat: "uuid"

Query parameters

account_idstringRequired
id_typeenum or nullOptional
Type of the account id. Must be 'institution' or 'None'.
Allowed values:
response_typeenumOptional

Form of the response. ‘presigned_url’ (default) returns a JSON object with a short-lived presigned download URL. ‘file’ streams the file back directly as raw bytes (Content-Type derived from the file, e.g. application/pdf or text/csv), for callers that cannot fetch presigned URLs.

Allowed values:

Response

When response_type=file, the file is streamed back directly as raw bytes, with a Content-Type derived from the file (e.g. application/pdf or text/csv). Otherwise a JSON object containing a presigned_url is returned.

presigned_urlstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error